NX Open C++ Reference Guide
|
Represents a @link Features::StudioSurface Features::StudioSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStudioSurfaceBuilder Features::FeatureCollection::CreateStudioSurfaceBuilder @endlink <br>
Default values. More...
Public Types | |
enum | TransitionOptions { TransitionOptionsNormalToEndSections, TransitionOptionsNormalToAllSections, TransitionOptionsCubic, TransitionOptionsLinearAndBlend, TransitionOptionsNoEndConstraint } |
the transition control options when using By Points alignment method More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::AlignmentMethodBuilder * | AlignmentMethod () |
Returns the alignment method Created in NX5.0.0. | |
NXOpen::GeometricUtilities::FeatureOptions * | BodyPreference () |
Returns the body type options Created in NX7.5.0. | |
double | CurvatureTolerance () |
Returns the curvature tolerance Created in NX5.0.0. | |
NXOpen::GeometricUtilities::Continuity * | FirstGuideContinuity () |
Returns the first guide continuity Created in NX5.0.0. | |
NXOpen::GeometricUtilities::Continuity * | FirstSectionContinuity () |
Returns the first section continuity Created in NX5.0.0. | |
NXOpen::GeometricUtilities::FlowDirection * | FlowDirection () |
Returns the flow direction Created in NX5.0.0. | |
NXOpen::SectionList * | GuideList () |
Returns the list of guides Created in NX5.0.0. | |
NXOpen::GeometricUtilities::Rebuild * | GuideRebuild () |
Returns the guide rebuild Created in NX5.0.0. | |
double | IntersectionTolerance () |
Returns the intersection tolerance Created in NX5.0.0. | |
NXOpen::GeometricUtilities::Continuity * | LastGuideContinuity () |
Returns the last guide continuity Created in NX5.0.0. | |
NXOpen::GeometricUtilities::Continuity * | LastSectionContinuity () |
Returns the last section continuity Created in NX5.0.0. | |
double | PositionTolerance () |
Returns the position tolerance Created in NX5.0.0. | |
NXOpen::SectionList * | SectionList () |
Returns the list of sections Created in NX5.0.0. | |
NXOpen::GeometricUtilities::Rebuild * | SectionRebuild () |
Returns the section rebuild Created in NX5.0.0. | |
void | SetCurvatureTolerance (double curvatureTolerance) |
Sets the curvature tolerance Created in NX5.0.0. | |
void | SetIntersectionTolerance (double intersectionTolerance) |
Sets the intersection tolerance Created in NX5.0.0. | |
void | SetPositionTolerance (double positionTolerance) |
Sets the position tolerance Created in NX5.0.0. | |
void | SetSplitOutputAlongBoundaryCurves (bool splitOutput) |
Sets the split output along boundary curves option Created in NX8.5.1. | |
void | SetTangentTolerance (double tangentTolerance) |
Sets the tangent tolerance Created in NX5.0.0. | |
void | SetTransition (NXOpen::Features::StudioSurfaceBuilder::TransitionOptions transition) |
Sets the transition control Created in NX5.0.0. | |
bool | SplitOutputAlongBoundaryCurves () |
Returns the split output along boundary curves option Created in NX8.5.1. | |
double | TangentTolerance () |
Returns the tangent tolerance Created in NX5.0.0. | |
NXOpen::Features::StudioSurfaceBuilder::TransitionOptions | Transition () |
Returns the transition control Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::StudioSurface Features::StudioSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStudioSurfaceBuilder Features::FeatureCollection::CreateStudioSurfaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Transition |
NormalToEndSections |
Created in NX5.0.0.
the transition control options when using By Points alignment method
NXOpen::GeometricUtilities::AlignmentMethodBuilder* NXOpen::Features::StudioSurfaceBuilder::AlignmentMethod | ( | ) |
Returns the alignment method
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::FeatureOptions* NXOpen::Features::StudioSurfaceBuilder::BodyPreference | ( | ) |
Returns the body type options
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::StudioSurfaceBuilder::CurvatureTolerance | ( | ) |
Returns the curvature tolerance
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioSurfaceBuilder::FirstGuideContinuity | ( | ) |
Returns the first guide continuity
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioSurfaceBuilder::FirstSectionContinuity | ( | ) |
Returns the first section continuity
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::StudioSurfaceBuilder::FlowDirection | ( | ) |
Returns the flow direction
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::SectionList* NXOpen::Features::StudioSurfaceBuilder::GuideList | ( | ) |
Returns the list of guides
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StudioSurfaceBuilder::GuideRebuild | ( | ) |
Returns the guide rebuild
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
double NXOpen::Features::StudioSurfaceBuilder::IntersectionTolerance | ( | ) |
Returns the intersection tolerance
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioSurfaceBuilder::LastGuideContinuity | ( | ) |
Returns the last guide continuity
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioSurfaceBuilder::LastSectionContinuity | ( | ) |
Returns the last section continuity
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
double NXOpen::Features::StudioSurfaceBuilder::PositionTolerance | ( | ) |
Returns the position tolerance
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::SectionList* NXOpen::Features::StudioSurfaceBuilder::SectionList | ( | ) |
Returns the list of sections
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StudioSurfaceBuilder::SectionRebuild | ( | ) |
Returns the section rebuild
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
void NXOpen::Features::StudioSurfaceBuilder::SetCurvatureTolerance | ( | double | curvatureTolerance | ) |
Sets the curvature tolerance
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
curvatureTolerance | curvaturetolerance |
void NXOpen::Features::StudioSurfaceBuilder::SetIntersectionTolerance | ( | double | intersectionTolerance | ) |
Sets the intersection tolerance
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
intersectionTolerance | intersectiontolerance |
void NXOpen::Features::StudioSurfaceBuilder::SetPositionTolerance | ( | double | positionTolerance | ) |
Sets the position tolerance
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
positionTolerance | positiontolerance |
void NXOpen::Features::StudioSurfaceBuilder::SetSplitOutputAlongBoundaryCurves | ( | bool | splitOutput | ) |
Sets the split output along boundary curves option
Created in NX8.5.1.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
splitOutput | splitoutput |
void NXOpen::Features::StudioSurfaceBuilder::SetTangentTolerance | ( | double | tangentTolerance | ) |
Sets the tangent tolerance
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
tangentTolerance | tangenttolerance |
void NXOpen::Features::StudioSurfaceBuilder::SetTransition | ( | NXOpen::Features::StudioSurfaceBuilder::TransitionOptions | transition | ) |
Sets the transition control
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
transition | transition |
bool NXOpen::Features::StudioSurfaceBuilder::SplitOutputAlongBoundaryCurves | ( | ) |
Returns the split output along boundary curves option
Created in NX8.5.1.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
double NXOpen::Features::StudioSurfaceBuilder::TangentTolerance | ( | ) |
Returns the tangent tolerance
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Features::StudioSurfaceBuilder::TransitionOptions NXOpen::Features::StudioSurfaceBuilder::Transition | ( | ) |
Returns the transition control
Created in NX5.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")